<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>获取网页中鼠标选中文字</title>
</head>
<body>
    <p>获取网页中鼠标选中文字</p>
    <script>
        var funcGetSelectText = function(){
             var txt = '';
             if(document.selection){
                 txt =  document.selection.createRange().text;         //ie浏览器
             }else{
                 txt =  document.getSelection();   //其他浏览器
             }
             return txt.toString();
        }
         var container = container ||  document;
         container.onmouseup = function(){
             var txt = funcGetSelectText();
             if(txt)
             {
                 alert(txt);
             }
         }
    </script>
</body>
</html>